# uBlock – filtry sponsorowanych postów
Filtr dla rozszerzenia uBlock Origin, służący do blokowania sponsorowanych postów na Facebooku (reklam):
```
facebook.com##[role="feed"] span[id] a[href="#"]:not(:has-text(/(\s)/)):upward([role="feed"]>div)
```

Aby zastosować regułę, należy otworzyć ustawienia uBlocka i w zakładce `Listy filtrów` upewnić się, że jest zaznaczona pozycja `Moje filtry`, a następnie w zakładce `Moje filtry` wkleić w polu tekstowym powyższy kod. Po odświeżeniu strony sponsorowane posty powinny zniknąć – jeżeli tak by się nie stało, to prawdopodobnie sposób wyświetlania sponsorowanych treści został zmieniony i filtr będzie trzeba skonstruować od nowa.

Do blokowania postów sponsorowanych z informacją przez kogo zostały opłacone (np. ogłoszenia instytucji publicznych) potrzebna jest osobna reguła, zależna od używanej wersji językowej serwisu. Poniżej przykład dla języka polskiego i angielskiego:
```
facebook.com##[role="feed"] span[id]>[role=button]:has-text(/^Sponsorowane|Opłacona przez/):upward([role="feed"]>div)
facebook.com##[role="feed"] span[id]>[role=button]:has-text(/^Sponsored|Paid for by/):upward([role="feed"]>div)
```
Właściwą wersję należy dopisać w osobnej linii, przed lub po regule reklamowej.